<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<div class="o-teaser-element{f:if(condition: '{image -> f:count()} > 0', then: ' o-teaser-element--has-image')}" id="c{data.uid}">
    <div class="o-teaser-element__container">
        <div class="o-teaser-element_inner">
            <f:render section="Header" optional="true">
                <f:render partial="Header/All" arguments="{_all}" />
            </f:render>
            <div class="o-teaser-element__text">
                <f:format.html>{data.bodytext}</f:format.html>
            </div>
        </div>

        <f:if condition="{image -> f:count()} > 0">
            <f:comment><!-- Image --></f:comment>
            <div class="o-teaser-element__media">
                <f:for each="{image}" as="file">
                    <f:render partial="Media/Type/Image" arguments="{file: file}" />
                </f:for>
            </div>
        </f:if>
    </div>
</div>

</html>
